#!/usr/bin/env python

from dataclasses import dataclass
from mapies.generic import GenericDataStore, GenericGrid
from pandas import DataFrame
import xarray as xr
from typing import Callable, Self
from pathlib import Path
from omegaconf import DictConfig
from mapies.formatters import nc_DA


@dataclass
class DADataStore(GenericDataStore):
    data: DataFrame
    grid: GenericGrid   # The grid is not optional for the DA!
    griddable: bool     #
    datatype: str       # datatype
    instrument: str

    def load(self, path: str | Path, fmt: Callable=None) -> Self:
        raise NotImplementedError

    def store(self, dest: str | Path, fmt: Callable = nc_DA):
        fmt(self, dest)

    @classmethod
    def from_raw(cls, conf: DictConfig) -> Self:
        raise NotImplementedError