#!/usr/bin/env python

from mapies.generic import GenericType


class TotalColumn(GenericType):
    """
    single-level satellite obs (i.e. total or column-averaged value)
    """
    @property
    def name(self) -> str:
        return "TotalColumn"


class Column(GenericType):
    """
    multi-level satellite obs (or any observation with multiple levels for a given pair of (lat, lon) coordinates (e.g. LIDAR)
    """
    @property
    def name(self) -> str:
        return "Column"


class Profile(GenericType):
    """
    profiles, i.e. multi-level data, with
    """
    @property
    def name(self) -> str:
        return "Profile"